/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TP1;

import java.io.Serializable;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.EntityManager;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.ManyToMany;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.transaction.UserTransaction;

/**
 *
 * @author Chouchou
 */
@Entity
@Table
@Inheritance(strategy=InheritanceType.SINGLE_TABLE)
@DiscriminatorColumn(name="DISC", discriminatorType=DiscriminatorType.STRING)
@DiscriminatorValue("COMPTEBANCAIRE")
@NamedQuery(name = "CompteBancaire.findAll", query = "SELECT c FROM CompteBancaire c")
public class CompteBancaire implements Serializable {
   private static final long serialVersionUID = 1L;
    @Id
   @GeneratedValue(strategy=GenerationType.AUTO)
    private int id;
    private String nom;
    private int solde = 0;
    private int idClient;
    @ManyToMany(cascade={CascadeType.ALL}, fetch=FetchType.EAGER)  
    private List<Client> ListeCompteBancaire;

    public int getIdClient() {
        return idClient;
    }

    public void setIdClient(int idClient) {
        this.idClient = idClient;
    }

    public int getId() {
        return id;
    }
    /**
     * Constructeur vide
     */
     public CompteBancaire(){
    }
     /**
      * Constucteur
      * @param solde : solde initiale du compte
      */
    public CompteBancaire(int solde){
      this.solde=solde;
      
        
    }
/**
 * Créditer un compte bancaire
 * @param credit Montant du crédit
 */
    public void CrediterCompte(int credit){
       this.solde+=credit;
        System.out.println(this.solde);
    }
/**
 * Débiter un compte bancaire
 * @param debit Montant débité
 */
    public void DebiterCompte(int debit){
        this.solde=this.solde - debit;
    }

    public String getNom() {
        return nom;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
/**
 *
 * @return La solde actuel du compte
 */
    public double getSolde() {
        return solde;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public void setSolde(int solde) {
        this.solde = solde;
    }


    public void setId(int id) {
        this.id = id;
    }



}
