/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TP1;

import javax.persistence.Entity;

/**
 *
 * @author Administrateur
 */
@Entity
public class Livret extends CompteBancaire {
    private double tauxInteret;
    private double versementMinimal;
    private double soldeMaximal;

/**
 * Constructeur par défaut
 */
    public Livret() {
    }
/**
 * Constructeur du livret
 * @param solde : solde initial du livret
 * @param tauxInteret : taux d'interêt du livret
 * @param versementMinimal : Valeur du versement minimum autorisé
 * @param soldeMaximal : plafond du livret
 */
    public Livret(int  solde, double tauxInteret, double versementMinimal, double soldeMaximal) {
        super(solde);
        this.tauxInteret = tauxInteret;
        this.versementMinimal = versementMinimal;
        this.soldeMaximal = soldeMaximal;
    }
/**
 *
 * @return retourne le plafond du livret
 */
    public double getSoldeMaximal() {
        return soldeMaximal;
    }
/**
 *
 * @param soldeMaximal mise à jour du plafond du livret
 */
    public void setSoldeMaximal(double soldeMaximal) {
        this.soldeMaximal = soldeMaximal;
    }

/**
 *
 * @return retourne le taux d'interet du livret
 */    public double getTauxInteret() {
        return tauxInteret;
    }
/**
 * Mise à jour du taux d'interet
 * @param tauxInteret taux d'interet
 */
    public void setTauxInteret(double tauxInteret) {
        this.tauxInteret = tauxInteret;
    }
/**
 *
 * @return retourne la valeur minimale d'un versement autorisé
 */
    public double getVersementMinimal() {
        return versementMinimal;
    }
/**
 * Mise à jour de la valeul minimale d'un versement
 * @param versementMinimal valeur du versement minimale autorisé
 */
    public void setVersementMinimal(double versementMinimal) {
        this.versementMinimal = versementMinimal;
    }
    

}
